image: "registry.gitlab.com/crystal-linux/misc/docker:latest"

build:
  tags:
    - docker
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: always

  before_script: |
    # Ensure the container is up to date
    pacman -Syu --needed --noconfirm

  script: |
    # Ensure that the pkgver/pkgrel have been bumped, create a non root user for the build and build the PKGBUILD + install the package
    curl -s https://repo.getcryst.al/$(grep ^arch PKGBUILD | cut -d "=" -f2 | cut -d "'" -f2)/ | grep -q "$(grep -E '(^pkgname|^pkgver|^pkgrel|^arch)' PKGBUILD | cut -d "=" -f2 | cut -d "'" -f2 | head -c -1 | tr '\n' '-')" && { echo -e "This version already exists in the repo\nMake sure you bumped the pkgver/pkgrel"; exit 1; } || true

    useradd -m builder
    chown -R builder: ..
    echo "builder ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/builder 

    sudo -u builder makepkg -si --noconfirm 
